Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml.emitter
Class ScalarAnalysis

    java.lang.Object
      org.yaml.snakeyaml.emitter.ScalarAnalysis

    public final class ScalarAnalysis

extends Object

Field Summary
`boolean` | `allowBlock`
`boolean` | `allowBlockPlain`
`boolean` | `allowDoubleQuoted`
`boolean` | `allowFlowPlain`
`boolean` | `allowSingleQuoted`
`boolean` | `empty`
`boolean` | `multiline`
`String` | `scalar`

Constructor Summary
`ScalarAnalysis(String scalar, boolean empty, boolean multiline, boolean allowFlowPlain, boolean allowBlockPlain, boolean allowSingleQuoted, boolean allowDoubleQuoted, boolean allowBlock)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### scalar

    public String scalar

### empty

    public boolean empty

### multiline

    public boolean multiline

### allowFlowPlain

    public boolean allowFlowPlain

### allowBlockPlain

    public boolean allowBlockPlain

### allowSingleQuoted

    public boolean allowSingleQuoted

### allowDoubleQuoted

    public boolean allowDoubleQuoted

### allowBlock

    public boolean allowBlock

Constructor Detail

### ScalarAnalysis

    public ScalarAnalysis(String scalar,
                          boolean empty,
                          boolean multiline,
                          boolean allowFlowPlain,
                          boolean allowBlockPlain,
                          boolean allowSingleQuoted,
                          boolean allowDoubleQuoted,
                          boolean allowBlock)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.